summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <williamh@gentoo.org>2011-10-24 21:04:23 -0500
committerWilliam Hubbs <williamh@gentoo.org>2011-10-24 21:34:57 -0500
commit0e5d3bfc530c4c6607e0f04ab7f24770070b9cc7 (patch)
tree4a30e3d6bb0db8cbef8458c68edfa356dd4b3722
parentremove spind (diff)
downloadlivecd-tools-2.0.2.tar.gz
livecd-tools-2.0.2.tar.bz2
livecd-tools-2.0.2.zip
further cosmetic cleanupslivecd-tools-2.0.2
There were several einfo calls which ended with "...". These have been converted to ebegins and appropriate eend, eindent and eoutdent calls were inserted. X-Gentoo-Bug: 388401 X-Gentoo-Bug-URL: http://bugs.gentoo.org/show_bug.cgi?id=388401
-rwxr-xr-xinit.d/autoconfig5
-rwxr-xr-xinit.d/firmware7
-rwxr-xr-xinit.d/fixinittab13
-rwxr-xr-xinit.d/hwsetup3
-rwxr-xr-xinit.d/unmute3
5 files changed, 22 insertions, 9 deletions
diff --git a/init.d/autoconfig b/init.d/autoconfig
index 056ff85..7511366 100755
--- a/init.d/autoconfig
+++ b/init.d/autoconfig
@@ -376,12 +376,13 @@ detect_sparc() {
}
start() {
- einfo "Starting autoconfig ..."
+ ebegin "Starting autoconfig"
echo "0" > /proc/sys/kernel/printk
get_config
if yesno "${DETECT}"
then
+ eindent
ebegin "Hardware detection started"
local numcpu="$(grep -c '^processor[[:space:]]\+:' /proc/cpuinfo)"
local arch="$(uname -m)"
@@ -421,6 +422,7 @@ start() {
esac
[ -n "${PC}" ] && einfo "${PC}"
eend
+ eoutdent
else
ewarn "Hardware detection disabled via cmdline ..."
fi
@@ -567,6 +569,7 @@ start() {
reset
chvt 1
fi
+ eend $?
}
# vim: ts=4
diff --git a/init.d/firmware b/init.d/firmware
index 30d07c9..c5534b9 100755
--- a/init.d/firmware
+++ b/init.d/firmware
@@ -10,13 +10,16 @@ depend() {
}
start() {
-einfo "Checking for firmware to unpack ..."
+ ebegin "Checking for firmware to unpack"
if [ -e /lib/firmware.tar.bz2 ]
then
- ebegin "Unpacking firmware ..."
+ eindent
+ ebegin "Unpacking firmware"
mkdir -p /lib/firmware
tar xjf /lib/firmware.tar.bz2 -C /lib/firmware
eend 0
+ eoutdent
fi
[ -x /sbin/udevadm ] && /sbin/udevadm trigger
+ eend $?
}
diff --git a/init.d/fixinittab b/init.d/fixinittab
index c5ca55c..36bdc27 100755
--- a/init.d/fixinittab
+++ b/init.d/fixinittab
@@ -12,7 +12,7 @@ start()
return 1
fi
- einfo "Adjusting inittab ..."
+ ebegin "Adjusting inittab"
# Create a backup
cp -f /etc/inittab /etc/inittab.old
@@ -62,8 +62,11 @@ start()
fi
if [ -c "/dev/hvc0" ]
then
- einfo "Adding hvc console to inittab ..."
+ eindent
+ ebegin "Adding hvc console to inittab ..."
echo "s0:12345:respawn:/sbin/agetty -nl /bin/bashlogin 9600 hvc0 vt320" >> /etc/inittab
+ eend $?
+ eoutdent
fi
# The rest...
@@ -75,8 +78,11 @@ start()
echo "c${x}:12345:respawn:/sbin/mingetty --noclear --autologin root tty${x}" >> /etc/inittab
done
else
- einfo "Adding ${LIVECD_CONSOLE} console to inittab ..."
+ eindent
+ ebegin "Adding ${LIVECD_CONSOLE} console to inittab"
echo "s0:12345:respawn:/sbin/agetty -nl /bin/bashlogin ${LIVECD_CONSOLE_BAUD} ${LIVECD_CONSOLE} vt100" >> /etc/inittab
+ eend $?
+ eoutdent
fi
fi
@@ -99,5 +105,4 @@ start()
telinit q
eend 0
- return 0
}
diff --git a/init.d/hwsetup b/init.d/hwsetup
index 60e1bb4..a13e3be 100755
--- a/init.d/hwsetup
+++ b/init.d/hwsetup
@@ -8,7 +8,8 @@ depend() {
}
start() {
- einfo "Starting hwsetup ..."
+ ebegin "Starting hwsetup"
[ -e /etc/sysconfig ] || mkdir -p /etc/sysconfig
[ -x /usr/sbin/hwsetup ] && hwsetup
+ eend $?
}
diff --git a/init.d/unmute b/init.d/unmute
index 9f0f3f9..4ce6db9 100755
--- a/init.d/unmute
+++ b/init.d/unmute
@@ -11,7 +11,7 @@ start()
then
for i in $(cat /proc/asound/cards | awk '{print $1}' | grep ^[[:digit:]])
do
- einfo "Unmuting sound card $i ..."
+ ebegin "Unmuting sound card $i"
if [ -d /proc/asound/card$i ] && [ -x /usr/bin/amixer ]
then
amixer -c $i scontrols > /etc/amixer
@@ -43,6 +43,7 @@ start()
&& amixer -c $i -q set Capture 95% unmute cap \
>/dev/null 2>&1
fi
+ eend 0
done
fi
return 0